Bug 696527 - (django-kombu) Review Request: django-kombu - Kombu transport using the Django database as a message store
Review Request: django-kombu - Kombu transport using the Django database as a...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Narasimhan
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-14 04:36 EDT by Rahul Sundaram
Modified: 2011-07-16 12:35 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-16 12:35:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lakshminaras2002: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Rahul Sundaram 2011-04-14 04:36:08 EDT
Spec URL: http://sundaram.fedorapeople.org/packages/django-kombu.spec
SRPM URL: http://sundaram.fedorapeople.org/packages/django-kombu-0.9.0-1.fc15.src.rpm
Description: 
Django application that enables you to use the Django database as the 
message store for Kombu. Kombu is an AMQP messaging framework for Python.  
AMQP is the Advanced Message Queuing Protocol, an open standard protocol for
message orientation, queuing, routing, reliability and security.
Comment 1 Narasimhan 2011-05-07 14:20:52 EDT
[+]MUST: rpmlint must be run on every package. The output should be posted in the review.

rpmlint  -i django-kombu-0.9.0-1.fc15.src.rpm django-kombu.spec ~/rpmbuild/RPMS/noarch/django-kombu-0.9.0-1.fc14.noarch.rpm 
2 packages and 1 specfiles checked; 0 errors, 0 warnings.

[+]MUST: The package must be named according to the Package Naming Guidelines.
The name of the package can be seen in PKG-INFO.

[+]MUST: The spec file name must match the base package %{name}, in the format %{name}.spec
[+]MUST: The package must meet the Packaging Guidelines.
        Naming-Yes
        Version-release - Matches
        License - OK, BSD 2 clause variant.
        No prebuilt external bits - OK
        Spec legibity - OK
        Package template - OK
        Arch support - OK
        Libexecdir - OK
        rpmlint - yes
        changelogs - OK
        Source url tag  - OK, validated.
        Build Requires list - OK
        Summary and description - OK

[+]MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
BSD 2 clause license
[+]MUST: The License field in the package spec file must match the actual license.
[+]MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
License file included.
[+]MUST: The spec file must be written in American English.
[+]MUST: The spec file for the package MUST be legible.
[+]MUST: The sources used to build the package must match the upstream source,as provided in the spec URL. Reviewers should use md5sum for this task.

django-kombu-0.9.0-1.fc15.src/djkombu-0.9.0.tar.gz
1340bc6f824c24f2faedff6329c404af  django-kombu-0.9.0-1.fc15.src/djkombu-0.9.0.tar.gz

md5sum ~/Downloads/djkombu-0.9.0.tar.gz 
1340bc6f824c24f2faedff6329c404af  ~/Downloads/djkombu-0.9.0.tar.gz

[+]MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
Built on x86_64.
[+]MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in
ExcludeArch.
[+]MUST: All build dependencies must be listed in BuildRequires.
[NA]MUST: The spec file MUST handle locales properly using the %find_lang macro
[NA]MUST: Packages stores shared library files must call ldconfig in %post and %postun.
[+]MUST: Packages must NOT bundle copies of system libraries.
Checked with rpmquery --list.
[NA]MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review.
[+]MUST: A package must own all directories that it creates.
Checked with rpmquery --whatprovides.
[+]MUST: A Fedora package must not list a file more than once in the spec file's %files listings.
[+]MUST: Permissions on files must be set properly.
Checked  with ls -lR.
[+]MUST: Each package must consistently use macros.
[+]MUST: The package must contain code, or permissable content.
[+]MUST: Large documentation files must go in a -doc subpackage.
[+]MUST: If a package includes something as %doc, it must not affect the runtime of the application.
[+]MUST: Header files must be in a -devel package.
[NA]MUST: Static libraries must be in a -static package.
[NA]MUST: If a package contains library files with a suffix (e.g.libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
[NA]MUST: devel packages must require the base package using a fully versioned dependency: Requires: {name} = %{version}-%{release}
[NA]MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[NA]MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section
[+]MUST: Packages must not own files or directories already owned by other packages.
[+]MUST: All filenames in rpm packages must be valid UTF-8.

Should items
[+]SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
LICENSE file contains the license text.
[+]SHOULD: The reviewer should test that the package functions as described.
Installed the package (after getting the dependenices mentioned). Installs fine. Loaded the module in a test file. The load gives a documented error about missing environment variable 
(DJANGO_SETTINGS_MODULE)
[+]SHOULD: If scriptlets are used, those scriptlets must be sane.

APPROVED.

@Rahul, in managers.py, there is a comment at the top that says that the code is based on code in another project. Should it have been formally acknowledged somewhere like in the LICENSE file?
Comment 2 Rahul Sundaram 2011-05-08 06:47:17 EDT
It is code under the same license and hence no incompatibility between licenses.  Doesn't require a note anywhere else but thanks for the thorough check.  It would be helpful if you can review bug 691115 as well since it is a dependency that needs to be built first. 

New Package SCM Request
=======================
Package Name: django-kombu
Short Description: Kombu transport using the Django database as a message store
Owners: sundaram
Branches: f15
InitialCC:
Comment 3 Narasimhan 2011-05-08 08:28:45 EDT
I have taken the dependency bug for review.
Comment 4 Jason Tibbitts 2011-05-10 11:29:47 EDT
Git done (by process-git-requests).
Comment 5 Rahul Sundaram 2011-07-16 02:17:52 EDT
Package Change Request
======================
Package Name: django-kombu
New Branches: el6
Owners: sundaram pjp
Comment 6 Jon Ciesla 2011-07-16 10:36:01 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.